#!/usr/bin/env bash
echo "// RCC"
cargo asm --release --llvm "jlink::rcc" | rg store | awk '{ print $4 $8 }' | awk -F, '{ for (i=NF; i>=1; i--) printf " 0x%X", $i; print "" }' | sed 's/0xFFFFFFFF\(.\)/0x\1/g'
echo "// GPIO"
cargo asm --release --llvm "jlink::gpio_alt" | rg store | awk '{ print $4 $8 }' | awk -F, '{ for (i=NF; i>=1; i--) printf " 0x%X", $i; print "" }' | sed 's/0xFFFFFFFF\(.\)/0x\1/g'
echo "// FMC"
cargo asm --release --llvm "jlink::fmc" | rg store | awk '{ print $4 $8 }' | awk -F, '{ for (i=NF; i>=1; i--) printf " 0x%X", $i; print "" }' | sed 's/0xFFFFFFFF\(.\)/0x\1/g'
